{
  a little program that changes the -Dega setting of the popular editor BRIEF 
  so that you do not have to reboot, when you change between EGA and std lines.
  Called by BS.BAT
}
uses
  eco_lib, crt, dos

  ;




var
  dopurge  : boolean;
  errlev,
  purg     :    byte;
  i        :    word;
  st, bfl  :  string;
  fin, fou :    text;
  changed  : boolean;



  procedure help;
  begin
    writeln('B2550 by Floor A.C. Naaijkens.');
    writeln(
      'Adapts in AUTOEXEC.BAT the BFLAGS line',
      ' by adding/removing the -Dega keyword.'
    );
    {writeln(
      'It also changes the parent environment',
      ' variable accordingly, effectively'
    );}
    writeln('It creates a batchfile s.bat that changes the environment.');
    writeln('ensuring on-line switching...');
    writeln(__rep(79, ''));
    writeln('No parameters needed. State is simply toggled. YOU MUST REBOOT!');
    writeln
  end;


begin
  __loginit; programname := 'B2550'; logfilename := '\B2550.LOG';
  logheader[06] := '             BRIEF 25 to 50 or back convertor             ';
  logheader[07] := '       Written by Floor A.C. Naaijkens for PZH/SO.        ';
  logheader[10] := '   All material is protected and licensed.  Version 1.01    ';
  __logapp(' Started on ' + __todaystr(true)); { full e.g. wednesday }
  dopurge := __inparams('/purge', i);
  if dopurge then begin purg := __str(paramstr(i)); __setpurge(purg) end else
    __setpurge(255);
  if __inparams('/?', i) then help;

  assign(fin, 'c:\autoexec.bat'); reset(fin);
  assign(fou, 'c:\tempauto.$$$'); rewrite(fou);


  {EERST MAAR ENV LEZEN, EN CHANGE, DAN IF NEED BE ALTER AUTOEXEC.BAT}

  readln(fin, st);
  while not(eof(fin) or (pos('BFLAGS', __up(st)) > 0)) do begin
    writeln(fou, st); readln(fin, st);
  end;
  changed := false; errlev := 2;
  { either eof or st found }
  if not(eof(fin)) then begin
    i := pos('-DEGA', __up(st));
    if (i > 0) then begin
      delete(st, i-1, 6);
      __logapp('Set from 50 to 25 line mode.'); errlev := 1;
      writeln('50 > 25'); bfl := st; changed := true;
    end else begin
      st := st + ' ' + '-Dega';
      __logapp('Set from 25 to 50 line mode.'); errlev := 0;
      writeln('25 > 50'); bfl := st; changed := true;
    end;
  end else writeln(fou, st);
  { copy rest of autoexec.bat }
  repeat
    writeln(fou, st);
    readln(fin, st);
  until eof(fin);
  writeln(fou, st);
  close(fin); close(fou);
  erase(fin); rename(fou, 'c:\autoexec.bat');
  if changed then begin
    __putenutl(bfl);
    assign(fou, 's.bat'); rewrite(fou);
    writeln(fou, '@echo off');
    writeln(fou, bfl);
    close(fou);
  end;
  writeln('door Floor.  <WIDE GRIN>');
  __logapp(' END RUN B2550'); __logapp('');
  halt(errlev);
end.
